package AITB_2023.module.util;

import java.util.Objects;

import rescuecore2.standard.entities.Building;
import rescuecore2.standard.entities.Refuge;
import rescuecore2.standard.entities.StandardEntity;

public class BuildingStatus {
  public static boolean isShouldSearch(StandardEntity entity) {
    if (Objects.isNull(entity))
      return false;
    if (!(entity instanceof Building))
      return false;
    if (entity instanceof Refuge)
      return false;
    Building building = (Building) entity;
    if (building.isFierynessDefined() && building.getFieryness() == 0)
      return false;
    if (building.isBrokennessDefined() && building.getBrokenness() == 0)
      return false;
    return true;
  }
}
